xmlhtml-0.2.5.4: XML parser and renderer with HTML 5 quirks mode

Safe Haskell | None
Language | Haskell2010

Text.Blaze.Renderer.XmlHtml

Description

Renderer that supports rendering to xmlhtml forests. This is a port of the Hexpat renderer.

Warning: because this renderer doesn't directly create the output, but rather an XML tree representation, it is impossible to render pre-escaped text.

Synopsis

- renderHtml :: Html -> Document
- renderHtmlNodes :: Html -> [Node]

# Documentation

renderHtml :: Html -> Document Source #

Render HTML to an xmlhtml `Document`

renderHtmlNodes :: Html -> [Node] Source #

Render HTML to a list of xmlhtml nodes